Bug 166410 - gcc-4.0.1-9 Stack smashing detected compiling zapping
gcc-4.0.1-9 Stack smashing detected compiling zapping
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2005-08-20 13:48 EDT by Boyan Anastasov
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.0.1-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-24 03:43:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Preprocessed source (260.83 KB, text/plain)
2005-08-20 13:51 EDT, Boyan Anastasov
no flags Details

  None (edit)
Description Boyan Anastasov 2005-08-20 13:48:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
I'm using fedora devel. I had to recompile every program using gtk2, which is not in fedora devel/extra, and when tried to recompile zapping 0.9.7cvs3 gcc aborted with message *** stack smashing detected ***.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Download zapping from http://prdownloads.sourceforge.net/zapping/zapping-0.9.7cvs3.tar.bz2?download
2. Configure. I have rpm spec file which is doing this:
./autogen.sh --prefix=/usr
(from rpm --eval %configure)
  CFLAGS="${CFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=athlon-4 -fasynchronous-unwind-tables}" ; export CFLAGS ;
  CXXFLAGS="${CXXFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=athlon-4 -fasynchronous-unwind-tables}" ; export CXXFLAGS ;
  FFLAGS="${FFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=athlon-4 -fasynchronous-unwind-tables}" ; export FFLAGS ;
  for i in $(find . -name config.guess -o -name config.sub) ; do
           [ -f /usr/lib/rpm/redhat/$(basename $i) ] && /bin/rm -f $i && /bin/cp -fv /usr/lib/rpm/redhat/$(basename $i) $i ;
  done ;
  ./configure --build=i686-redhat-linux-gnu --host=i686-redhat-linux-gnu \
        --target=i386-redhat-linux-gnu \
        --program-prefix= \
        --prefix=/usr \
        --exec-prefix=/usr \
        --bindir=/usr/bin \
        --sbindir=/usr/sbin \
        --sysconfdir=/etc \
        --datadir=/usr/share \
        --includedir=/usr/include \
        --libdir=/usr/lib \
        --libexecdir=/usr/libexec \
        --localstatedir=/var \
        --sharedstatedir=/usr/com \
        --mandir=/usr/share/man \

3. make

Actual Results:   gcc -DHAVE_CONFIG_H -I. -I. -I../../.. -I/usr/X11R6/include -I../../.. -I../../../plugins/deinterlace -O3 -fomit-frame-pointer -D_REENTRANT --param max-inline-insns-single=50000 --param large-function-insns=150000 --param inline-unit-growth=30000 --param large-function-growth=30000 -msse2 -DSIMD=CPU_FEATURE_SSE2 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=athlon-4 -fasynchronous-unwind-tables -MT libDI_Misc_SSE2_la-DI_TomsMoComp.lo -MD -MP -MF .deps/libDI_Misc_SSE2_la-DI_TomsMoComp.Tpo -c DI_TomsMoComp.c  -fPIC -DPIC -o .libs/libDI_Misc_SSE2_la-DI_TomsMoComp.o
*** stack smashing detected ***: /usr/libexec/gcc/i386-redhat-linux/4.0.1/cc1 terminated
DI_TomsMoComp.c: In function 'Search_Effort_27':
DI_TomsMoComp.c:893: internal compiler error: Aborted

Additional info:
Comment 1 Boyan Anastasov 2005-08-20 13:51:34 EDT
Created attachment 117947 [details]
Preprocessed source

This is the preprocessed source stored when gcc aborted
Comment 3 Jakub Jelinek 2005-08-24 03:43:02 EDT
Should be fixed in gcc-4.0.1-10.

Note You need to log in before you can comment on or make changes to this bug.